Human-in-the-Loop
GET /api/orgs/{org_id}/hitl-requests
Section titled “GET /api/orgs/{org_id}/hitl-requests”List Hitl Requests
List HITL requests for an organization.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| limit | query | integer | no | |
| offset | query | integer | no | |
| org_id | path | string (uuid) | yes | |
| status | query | string | no |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | HitlListResponse |
| 422 | Validation Error | HTTPValidationError |
GET /api/orgs/{org_id}/hitl-requests/{request_id}
Section titled “GET /api/orgs/{org_id}/hitl-requests/{request_id}”Get Hitl Request
Get a single HITL request.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| org_id | path | string (uuid) | yes | |
| request_id | path | string (uuid) | yes |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | HitlRequestResponse |
| 422 | Validation Error | HTTPValidationError |
POST /api/orgs/{org_id}/hitl-requests/{request_id}/respond
Section titled “POST /api/orgs/{org_id}/hitl-requests/{request_id}/respond”Respond To Hitl Request
Respond to a pending HITL request and resume the chat.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| org_id | path | string (uuid) | yes | |
| request_id | path | string (uuid) | yes |
Request body (required)
| Field | Type | Required | Description |
|---|---|---|---|
| action | string | no | |
| selection | string | no | |
| text | string | no |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | HitlRequestResponse |
| 422 | Validation Error | HTTPValidationError |